name: Deploy
run-name: ${{ gitea.actor }} build image and push to container registry

on: 
  push:
    branches:
      - 'main'
      - 'staging'

jobs:
  CreateImage:
    runs-on: [frontstaging]
    uses: http://gitea.pena/PenaDevops/actions.git/.gitea/workflows/build-image.yml@v1.1.6-p
    with:
      runner: frontstaging
    secrets:
      REGISTRY_USER: ${{ secrets.REGISTRY_USER }}
      REGISTRY_PASSWORD: ${{ secrets.REGISTRY_PASSWORD }}
  DeployService:
    runs-on: [frontstaging]
    container:
      image: gitea.pena:3000/penadevops/container-images/node-compose:main
      env:
        GITHUB_RUN_NUMBER: "${{ inputs.actionid }}"
      volumes:
        - /run/user/1000/podman/podman.sock:/run/user/1000/podman/podman.sock
    steps:
      - name: Check out repository code
        uses: http://gitea.pena:3000/PenaDevops/actions.git/checkout@v1
      - run: printenv
      - run: GITHUB_RUN_NUMBER=${{ gitea.run_id }} compose -f deployments/${{ gitea.ref_name }}/docker-compose.yaml up -d
    # uses: http://gitea.pena/PenaDevops/actions.git/.gitea/workflows/deploy.yml@v1.1.6-p
    # with:
    #   runner: frontstaging
